Subject: Re: OFSP Proposal for standard RA & dec keywords (v 93-Jun-17)

From: Lucio Chiappetti <[email-masked]>
Date: Fri, 18 Jun 1993 06:45:21 -0400

On Thu, 17 Jun 1993 [email-masked] wrote:

> 	-------------------------------------------------------
> 	|   PROPOSED STANDARD KEYWORDS FOR THE SPECIFICATION  |
> 	|	    OF RA & DEC WITHIN FITS FILES	      |
> 	-------------------------------------------------------
> 					  Version: 1993 June 17

  My general feeling is that it is a very reasonable proposal, in the
  framework of high energy missions at least.
> 
> a) The Positions of astronomical objects/sources
> b) The Pointing Direction of the Instrument.
> c) The orientation of the Spacecraft

  I agree with the above list of items, which is more or less what I
  was using in the past (non-FITS) for the description of a pointing.
  
  Misalignments etc. should in principle be accounted for as "calibration"
  data. However I wonder if there are any relationships or interferences
  between things like a misalignment matrix and the WCS stuff. I do not
  have time to look into the matter, but I would appreciate knowing if
  anybody has done / will do a more detailed analysis of this.   

  I still expect that each mission will need to do its own bits of
  trigonometry etc. to do things like computing collimator transmissions
  or vignetting or whatever. But it is much better to describe those
  mission-specific calculation using a common nomenclature, which is
  what is proposed here, therefore I support it.

> 2) The RA & dec coordinates
> In all cases listed below, the values of keywords are reals expressed
> in decimal DEGREES. Obviously only those keyword pairs considered necessary 
> 
   That's fine for me.
   However I remember there was some discussion in the past about preferring
   radians to degrees. How did that go ?
   
> 	RA_OBJ
> 	DEC_OBJ		

      You mean the target here, don't you ?
      I.e. the object named in the OBJECT keyword. If yes OK for me.
      (if there are many interesting objects in the FOV one might think
      to RA_OBJ1, RA_OBJ2 etc. but I am personally not enthusiastic with
      number-indexed keywords unless REALLY necessary)

-----------------------------------------------------------------------------   
       A member of  G.ASS : Group for Astronomical Software Support             
-----------------------------------------------------------------------------   
Lucio Chiappetti - IFCTR/CNR Milano        |         U N I C U I Q U E          
via Bassini 15 - I-20133 Milano - Italy    |          System  Manager           
Internet: [email-masked]            |           FORTUNAE SUAE            
Decnet:   IFCTR::LUCIO (39610::LUCIO)      |                                    
Bitnet:   <please do not use any more>     |                                    
-----------------------------------------------------------------------------